<?php

declare(strict_types=1);

namespace App\Framework\Meta;

enum MetaTagProperty: string
{
    case OG_TITLE = 'og:title';
    case OG_DESCRIPTION = 'og:description';
    case OG_TYPE = 'og:type';
    case OG_URL = 'og:url';
    case OG_IMAGE = 'og:image';
    case OG_IMAGE_ALT = 'og:image:alt';
    case OG_IMAGE_TYPE = 'og:image:type';
    case OG_IMAGE_WIDTH = 'og:image:width';
    case OG_IMAGE_HEIGHT = 'og:image:height';
    case OG_SITE_NAME = 'og:site_name';
    case OG_LOCALE = 'og:locale';
    case OG_LOCALE_ALTERNATE = 'og:locale:alternate';
    case OG_VIDEO = 'og:video';
    case OG_VIDEO_TYPE = 'og:video:type';
    case OG_VIDEO_WIDTH = 'og:video:width';
    case OG_VIDEO_HEIGHT = 'og:video:height';
    case OG_VIDEO_TAG = 'og:video:tag';
    case OG_AUDIO = 'og:audio';
    case OG_AUDIO_TYPE = 'og:audio:type';
    case OG_AUDIO_WIDTH = 'og:audio:width';
    case OG_AUDIO_HEIGHT = 'og:audio:height';
    case OG_AUDIO_TAG = 'og:audio:tag';
    case OG_AUDIO_SECURE_URL = 'og:audio:secure_url';
}
